| The Gaudi Framework v32r1 (f65d50dc)

Classes | Functions
perfmon_v2.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | pfarg_ctx_t
struct | pfarg_pmc_t
struct | pfarg_pmd_t
struct | pfarg_start_t
struct | pfarg_load_t
struct | pfarg_setdesc_t
struct | pfarg_setinfo_t

## Functions
os_err_t | pfm_create_context (pfarg_ctx_t *ctx, char *smpl_name, void *smpl_arg, size_t smpl_size)
os_err_t | pfm_write_pmcs (int fd, pfarg_pmc_t *pmcs, int count)
os_err_t | pfm_write_pmds (int fd, pfarg_pmd_t *pmds, int count)
os_err_t | pfm_read_pmds (int fd, pfarg_pmd_t *pmds, int count)
os_err_t | pfm_load_context (int fd, pfarg_load_t *load)
os_err_t | pfm_start (int fd, pfarg_start_t *start)
os_err_t | pfm_stop (int fd)
os_err_t | pfm_restart (int fd)
os_err_t | pfm_create_evtsets (int fd, pfarg_setdesc_t *setd, int count)
os_err_t | pfm_getinfo_evtsets (int fd, pfarg_setinfo_t *info, int count)
os_err_t | pfm_delete_evtsets (int fd, pfarg_setdesc_t *setd, int count)
os_err_t | pfm_unload_context (int fd)

## Function Documentation

## ◆ pfm_create_context()

os_err_t pfm_create_context | ( | pfarg_ctx_t * | ctx,
|  | char * | smpl_name,
|  | void * | smpl_arg,
|  | size_t | smpl_size
| ) |  |

## ◆ pfm_create_evtsets()

os_err_t pfm_create_evtsets | ( | int | fd,
|  | pfarg_setdesc_t * | setd,
|  | int | count
| ) |  |

## ◆ pfm_delete_evtsets()

os_err_t pfm_delete_evtsets | ( | int | fd,
|  | pfarg_setdesc_t * | setd,
|  | int | count
| ) |  |

## ◆ pfm_getinfo_evtsets()

os_err_t pfm_getinfo_evtsets | ( | int | fd,
|  | pfarg_setinfo_t * | info,
|  | int | count
| ) |  |

## ◆ pfm_load_context()

os_err_t pfm_load_context | ( | int | fd,
|  | pfarg_load_t * | load
| ) |  |

## ◆ pfm_read_pmds()

os_err_t pfm_read_pmds | ( | int | fd,
|  | pfarg_pmd_t * | pmds,
|  | int | count
| ) |  |

## ◆ pfm_restart()

os_err_t pfm_restart | ( | int | fd | ) |

## ◆ pfm_start()

os_err_t pfm_start | ( | int | fd,
|  | pfarg_start_t * | start
| ) |  |

## ◆ pfm_stop()

os_err_t pfm_stop | ( | int | fd | ) |

## ◆ pfm_unload_context()

os_err_t pfm_unload_context | ( | int | fd | ) |

## ◆ pfm_write_pmcs()

os_err_t pfm_write_pmcs | ( | int | fd,
|  | pfarg_pmc_t * | pmcs,
|  | int | count
| ) |  |

## ◆ pfm_write_pmds()

os_err_t pfm_write_pmds | ( | int | fd,
|  | pfarg_pmd_t * | pmds,
|  | int | count
| ) |  |